{% set CodiceModulo = "DOM_ASS_MAT" %}
{% set Urn = "document:c_l273:assegno.maternita;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"ATT_ISEE",
  "urn":"document:s_italia:generale;dichiarazione.isee;documentazione",
  "descrizione_tabella_allegati":"Copia dell'attestazione ISEE",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Copia attestazione ISEE",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"ALL-CAR-SOGG",
  "urn":"document:c_l273:carta.soggiorno.neonato.richiedente;allegato",
  "descrizione_tabella_allegati":"Copia della carta di soggiorno del richiedente aggiornata o in corso di aggiornamento con i dati del neonato",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Carta soggiorno",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"#Tassonomia_Cittadinanza2.checked()",
  "dynamic_check":"#Tassonomia_Cittadinanza2.checked()",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"ALL-DICH-DAT",
  "urn":"document:c_l273:datore.importo;allegato",
  "descrizione_tabella_allegati":"Copia della dichiarazione del datore di lavoro relativa all'importo percepito per la maternità",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Dichiarazione datore",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"#Dichiara3.checked()",
  "dynamic_check":"#Dichiara3.checked()",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di concessione dell’assegno di maternità"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|29/08/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di concessione dell’assegno di maternità {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - concessione dell’assegno di maternità'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di concessione dell’assegno di maternità </div>
  <div class="title-2"> Decreto legislativo 26/03/2001, n. 15, art. 74 </div>
</div>

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="false")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}    

<div class="container">
  <div class="title-3"> CHIEDE </div>
</div>

<div class="container">
  <div class="form-check indent-1">
  <input class="form-check-input" id="Chiede1" name="Chiede1" type="checkbox" value="SI" checked="checked" dynamic_check="true">
  <label class="form-check-label text-justify" for="Chiede1"> la concessione dell’assegno di maternità </label>
</div>
<div class="form-check indent-1">
  <input class="form-check-input" id="Chiede2" name="Chiede2" type="checkbox" value="SI" checked="checked" dynamic_check="true">
  <label class="form-check-label text-justify" for="Chiede2"> che nel caso di accoglimento della domanda, il contributo venga erogato sul seguente conto corrente </label>
  <div class="containerindentato border bg-light pl-0">
    <div class="form-row">
        <div class="form-group col-lg-12">
          <label for="Parametri_Istituto"> Istituto </label>
          <input class="form-control" id="Parametri_Istituto" name="Parametri_Istituto" label="Istituto" mandatory_enabled="true" onceonly="true">
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-lg-12">
          <label for="Parametri_IBAN"> IBAN </label>
          <input class="form-control" id="Parametri_IBAN" name="Parametri_IBAN" label="Codice IBAN" mandatory_enabled="true" format="iban" onceonly="true">
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-lg-12">
          <label for="Parametri_BIC_swift"> Codice BIC (swift) (se conto estero) </label>
          <input class="form-control" id="Parametri_BIC_swift" name="Parametri_BIC_swift" label="Codice BIC (swift)" mandatory_enabled="#Parametri_IBAN.value() != '' and (!#Parametri_IBAN.value().toUpperCase().startsWith('IT'))" onceonly="true">
        </div>
      </div>
  </div>
</div>
</div>

{{ utils.Dichiara_445() }}

<div class="container">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara1" name="Dichiara1" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiara1"> di essere consapevole che il conto corrente sopra indicato deve essere obbligatoriamente intestato alla richiedente </label>
  </div>
</div>
<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Cittadinanza" name="Tassonomia_Cittadinanza" label="Cittadinanza" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Cittadinanza1" name="Tassonomia_Cittadinanza" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Cittadinanza1"> di essere cittadino italiano o di uno stato appartenente all’Unione Europea </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Cittadinanza2" name="Tassonomia_Cittadinanza" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_Cittadinanza2">di essere cittadino straniero in possesso di carta di soggiorno rilasciata dalla Questura  </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_Cittadinanza2.checked()">
      <div class="form-group col-lg-6">
        <label for="Parametri_NCartaSoggiorno"> Numero carta di soggiorno </label>
        <input class="form-control" id="Parametri_NCartaSoggiorno" name="Parametri_NCartaSoggiorno" label="Numero carta di soggiorno">
      </div>
      <div class="form-group col-lg-6">
        <label for="Parametri_Questura"> Questura </label>
        <input class="form-control" id="Parametri_Questura" name="Parametri_Questura" label="Questura">
      </div>
    </div>
  </div>
</div>

<div class="container">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara2" name="Dichiara2" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiara2"> di essere madre dei seguenti bambini </label>
    <div class="containerindentato border bg-light pl-0">
      <div class="form-row" mandatory_enabled="true">
        <div class="form-group col-lg-12">
          <label for="Parametri_NBambini"> Numero bambini </label>
          <input class="form-control" id="Parametri_NBambini" name="Parametri_NBambini" label="Numero bambini" format="number">
        </div>
        <div class="col-lg-12">
          <label for=""> Data di nascita o di entrata nella famiglia anagrafica del bambino (in caso di bambino in affidamento o adozione) </label>
        </div>
      </div>
      <!-- Settare in condiz la condizione di attivazione della prima riga. Se un campo deve essere opzionale, inserire "true" nel parametro enabled dell'array -->
      {% set num=6 %}
      {% set condiz="true"%}
      {% set campi=[
        {
          "titolo":"Data",
          "label":"Data",
          "id":"Parametri_Data",
          "format":"date",
          "carattere_speciale":"",
          "col":"12",
          "options":"",
          "enabled":""
        },
      ]%}
        <div class="form-row">
          {% for rowlabel in campi %}
          <div class="form-group col-lg-{{ rowlabel['col'] }}">
            <label for=""> {{ rowlabel['titolo']}} </label>
          </div>
          {% endfor %}
        </div>
        {% for i in range(1, num) %}
        <div class="form-row">
          {% for campo in campi %}
          <div class="form-group col-lg-{{ campo['col'] }}">
            {% if campo["carattere_speciale"]!=''%}<div class="paragraph">{% endif %}
              {% if campo["options"] == ''%}<input {% else %} <select {% endif %} label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i==1 %} {% if campo['enabled']!= '' %} enabled="{{condiz}}" {% else %} mandatory_enabled="{{condiz}}" {% endif %} {% endif %} {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} {% if campo['enabled'] != '' %} enabled="#{{ campi[0]['id']~i }}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %} {% endif %}{% endif %} class="form-control {% if campo['options'] != ''%} custom-select {% endif %} {% if campo['carattere_speciale']!='' %} w-50 d-inline-block {% endif %}"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
              {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
            {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</div>{% endif %}
          </div>
          {% endfor %}
        </div>
        {% endfor %}
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara3" name="Dichiara3" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Dichiara3"> di essere beneficiaria di trattamento previdenziale o economico di maternità inferiore a quello previsto dalle norme vigenti per la concessione del beneficio </label>
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title"> pertanto, allega dichiarazione di lavoro  </span>
      </div>
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara4" name="Dichiara4" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Dichiara4"> di essere beneficiaria, per la stessa nascita, di altri trattamenti economici o previdenziali di maternità a carico dell’INPS o di altro ente (per es. trattamenti economici di maternità, ai sensi della ex Legge 30/12/1971, n.1204, art. 13, c. 2 e successive modificazioni, trattamenti economici di maternità corrisposti da datori di lavoro non tenuti al versamento di contributi di maternità, assegno di maternità erogato dall’INPS ai sensi della Legge 23/12/1999 n. 488 </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara5" name="Dichiara5" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiara5"> di essere consapevole che il contributo non potrà essere erogato se non saranno correttamente indicati gli estremi di conto corrente bancario o postale come richiesto nel presente modulo </label>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}